Your search did not match any results.
Button

Icons

To add an icon to a Button, set the icon property. This demo shows how you can use this property:

  • Built-in icons
    DevExtreme ships with its own icon library. Pick any icon and assign its name to the icon property.

  • Image file
    Set the icon value to the image file path or URI.

  • 3rd-party icon fonts
    You can import a 3rd-party font library (this example uses Font Awesome). In such cases, set the icon property to a name that identifies the required glyph. Look up names in the imported library's documentation.

  • Buttons with icons and no caption text
    Define the icon, but do not define the text property. You can use the hint property to annotate the button.

Refer to the Icons help topic for additional information.

Backend API
Copy to CodePen
Apply
Reset
$(() => { $('#icon-done').dxButton({ icon: 'check', type: 'success', text: 'Done', onClick() { DevExpress.ui.notify('The Done button was clicked'); }, }); $('#icon-weather').dxButton({ icon: '../../../../images/icons/weather.png', text: 'Weather', onClick() { DevExpress.ui.notify('The Weather button was clicked'); }, }); $('#icon-send').dxButton({ icon: 'fa fa-envelope-o', text: 'Send', onClick() { DevExpress.ui.notify('The Send button was clicked'); }, }); $('#icon-plus').dxButton({ icon: 'plus', onClick() { DevExpress.ui.notify('The button was clicked'); }, }); $('#icon-back').dxButton({ icon: 'back', onClick() { DevExpress.ui.notify('The button was clicked'); }, }); $('#icon-disabled-done').dxButton({ icon: 'check', type: 'success', text: 'Done', disabled: true, }); $('#icon-disabled-weather').dxButton({ icon: '../../../../images/icons/weather.png', text: 'Weather', disabled: true, }); $('#icon-disabled-send').dxButton({ icon: 'fa fa-envelope-o', text: 'Send', disabled: true, }); $('#icon-disabled-plus').dxButton({ icon: 'plus', disabled: true, }); $('#icon-disabled-back').dxButton({ icon: 'back', disabled: true, }); });
<!DOCTYPE html> <html> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script> <script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.6/css/dx.light.css" /> <link rel="stylesheet" type="text/css" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.6.3/css/font-awesome.min.css" /> <script src="https://cdn3.devexpress.com/jslib/22.2.6/js/dx.all.js"></script> <link rel="stylesheet" type="text/css" href="styles.css" /> <script src="index.js"></script> </head> <body class="dx-viewport"> <div class="demo-container"> <div class="dx-fieldset"> <div class="fields-container"> <div class="dx-field"> <div class="dx-field-label">Built-in icon</div> <div class="dx-field-value"> <div id="icon-done"></div> </div> </div> <div class="dx-field"> <div class="dx-field-label">Image icon</div> <div class="dx-field-value"> <div id="icon-weather"></div> </div> </div> <div class="dx-field"> <div class="dx-field-label">External icon</div> <div class="dx-field-value"> <div id="icon-send" class="send"></div> </div> </div> <div class="dx-field"> <div class="dx-field-label">Icon only</div> <div class="dx-field-value"> <div id="icon-plus"></div> <div id="icon-back"></div> </div> </div> </div> </div> <div class="dx-fieldset"> <div class="dx-fieldset-header">DISABLED</div> <div class="fields-container"> <div class="dx-field"> <div class="dx-field-value"> <div id="icon-disabled-done"></div> </div> </div> <div class="dx-field"> <div class="dx-field-value"> <div id="icon-disabled-weather"></div> </div> </div> <div class="dx-field"> <div class="dx-field-value"> <div id="icon-disabled-send" class="send"></div> </div> </div> <div class="dx-field"> <div class="dx-field-value"> <div id="icon-disabled-plus"></div> <div id="icon-disabled-back"></div> </div> </div> </div> </div> </div> </body> </html>
#icon-back, #icon-disabled-back { margin-left: 4px; } .dx-viewport:not(.dx-theme-ios7) .dx-fieldset { width: 520px; margin: 30px auto; } .dx-viewport:not(.dx-theme-ios7) .dx-fieldset:first-child { margin-top: 120px; } .dx-viewport:not(.dx-theme-ios7) .dx-fieldset-header { font-size: 16px; } .dx-viewport:not(.dx-theme-ios7) .dx-field { display: inline-block; margin-right: 20px; } .dx-viewport:not(.dx-theme-ios7) .dx-field-value:not(.dx-widget) > .dx-button { float: none; } .dx-viewport:not(.dx-theme-ios7) .dx-field-value:not(.dx-switch):not(.dx-checkbox):not(.dx-button), .dx-viewport:not(.dx-theme-ios7) .dx-field-label { float: none; width: 100%; } .dx-viewport:not(.dx-theme-ios7) .dx-field-label { padding-left: 0; } .send .dx-button-content .dx-icon { font-size: 18px; } .fields-container { display: flex; align-items: baseline; } .dx-field-value { display: flex; }

Backend API
<div class="dx-fieldset">
<div class="fields-container">
<div class="dx-field">
<div class="dx-field-label">Built-in icon</div>
<div class="dx-field-value">
<dx-button
icon="check"
type="success"
text="Done"
(onClick)="doneClick()"
>
</dx-button>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">Image icon</div>
<div class="dx-field-value">
<dx-button
icon="../../../../images/icons/weather.png"
text="Weather"
(onClick)="weatherClick()"
>
</dx-button>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">External icon</div>
<div class="dx-field-value">
<dx-button
class="send"
icon="fa fa-envelope-o"
text="Send"
(onClick)="sendClick()"
>
</dx-button>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">Icon only</div>
<div class="dx-field-value">
<dx-button icon="plus" (onClick)="plusClick()"> </dx-button>
<dx-button icon="back" (onClick)="backClick()" id="icon-back">
</dx-button>
</div>
</div>
</div>
</div>
<div class="dx-fieldset">
<div class="dx-fieldset-header">DISABLED</div>
<div class="fields-container">
<div class="dx-field">
<div class="dx-field-value">
<dx-button icon="check" type="success" text="Done" [disabled]="true">
</dx-button>
</div>
</div>
<div class="dx-field">
<div class="dx-field-value">
<dx-button
icon="../../../../images/icons/weather.png"
text="Weather"
[disabled]="true"
>
</dx-button>
</div>
</div>
<div class="dx-field">
<div class="dx-field-value">
<dx-button
class="send"
icon="fa fa-envelope-o"
text="Send"
[disabled]="true"
>
</dx-button>
</div>
</div>
<div class="dx-field">
<div class="dx-field-value">
<dx-button icon="plus" [disabled]="true"> </dx-button>
<dx-button icon="back" [disabled]="true" id="icon-disabled-back">
</dx-button>
</div>
</div>
</div>
</div>
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxButtonModule } from 'devextreme-angular';
import notify from 'devextreme/ui/notify';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
preserveWhitespaces: true,
})
export class AppComponent {
weatherClick() {
notify('The Weather button was clicked');
}
doneClick() {
notify('The Done button was clicked');
}
sendClick() {
notify('The Send button was clicked');
}
plusClick() {
notify('The button was clicked');
}
backClick() {
notify('The button was clicked');
}
}
@NgModule({
imports: [
BrowserModule,
DxButtonModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
#icon-back,
#icon-disabled-back {
margin-left: 4px;
}
::ng-deep .dx-viewport .dx-fieldset {
width: 520px;
margin: 30px auto;
}
::ng-deep .dx-viewport .dx-fieldset:first-child {
margin-top: 120px;
}
::ng-deep .dx-viewport .dx-fieldset-header {
font-size: 16px;
}
::ng-deep .dx-viewport .dx-field {
display: inline-block;
margin-right: 20px;
}
::ng-deep .dx-viewport .dx-field-value:not(.dx-widget) > .dx-button {
float: none;
}
::ng-deep .dx-viewport .dx-field-value:not(.dx-switch):not(.dx-checkbox):not(.dx-button),
::ng-deep .dx-viewport .dx-field-label {
float: none;
width: 100%;
}
::ng-deep .dx-viewport .dx-field-label {
padding-left: 0;
}
::ng-deep .send .dx-button-content .dx-icon {
font-size: 18px;
}
.fields-container {
display: flex;
align-items: baseline;
}
::ng-deep .dx-field-value {
display: flex;
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.6/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.24',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.64',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.24/package.json',
'npm:devexpress-gantt@4.1.64/package.json',
],
};
System.config(window.config);
// System.import('@angular/compiler').catch(console.error.bind(console));
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"@angular/core": {
"version": "17.3.12"
},
"core-js": {
"version": "2.6.12"
},
"typescript": {
"version": "5.4.5"
},
"zone.js": {
"version": "0.14.10"
}
};
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.1.7/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.6.3/css/font-awesome.min.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.14.10/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>
-
Built-in icons
DevExtreme ships with its own icon library. Pick any icon and assign its name to the icon property. -
Image file
Set the icon value to the image file path or URI. -
3rd-party icon fonts
You can import a 3rd-party font library (this example uses Font Awesome). In such cases, set the icon property to a name that identifies the required glyph. Look up names in the imported library's documentation. -
Buttons with icons and no caption text
Define the icon, but do not define the text property. You can use the hint property to annotate the button.
Refer to the Icons help topic for additional information.

import React from 'react';
import { Button } from 'devextreme-react/button';
import notify from 'devextreme/ui/notify';
const weatherClick = () => {
notify('The Weather button was clicked');
};
const doneClick = () => {
notify('The Done button was clicked');
};
const sendClick = () => {
notify('The Send button was clicked');
};
const plusClick = () => {
notify('The button was clicked');
};
const backClick = () => {
notify('The button was clicked');
};
export default function App() {
return (
<div>
<div className="dx-fieldset">
<div className="fields-container">
<div className="dx-field">
<div className="dx-field-label">Built-in icon</div>
<div className="dx-field-value">
<Button icon="check"
type="success"
text="Done"
onClick={doneClick} />
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Image icon</div>
<div className="dx-field-value">
<Button icon="../../../../images/icons/weather.png"
text="Weather"
onClick={weatherClick} />
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">External icon</div>
<div className="dx-field-value">
<Button className="send"
icon="fa fa-envelope-o"
text="Send"
onClick={sendClick} />
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Icon only</div>
<div className="dx-field-value">
<Button icon="plus"
onClick={plusClick} />
<Button icon="back"
id="icon-back"
onClick={backClick} />
</div>
</div>
</div>
</div>
<div className="dx-fieldset">
<div className="dx-fieldset-header">DISABLED</div>
<div className="fields-container">
<div className="dx-field">
<div className="dx-field-value">
<Button icon="check"
type="success"
text="Done"
disabled={true} />
</div>
</div>
<div className="dx-field">
<div className="dx-field-value">
<Button icon="../../../../images/icons/weather.png"
text="Weather"
disabled={true} />
</div>
</div>
<div className="dx-field">
<div className="dx-field-value">
<Button className="send"
icon="fa fa-envelope-o"
text="Send"
disabled={true} />
</div>
</div>
<div className="dx-field">
<div className="dx-field-value">
<Button icon="plus"
disabled={true} />
<Button icon="back"
id="icon-disabled-back"
disabled={true} />
</div>
</div>
</div>
</div>
</div>
);
}
import React from 'react';
import { Button } from 'devextreme-react/button';
import notify from 'devextreme/ui/notify';
const weatherClick = () => {
notify('The Weather button was clicked');
};
const doneClick = () => {
notify('The Done button was clicked');
};
const sendClick = () => {
notify('The Send button was clicked');
};
const plusClick = () => {
notify('The button was clicked');
};
const backClick = () => {
notify('The button was clicked');
};
export default function App() {
return (
<div>
<div className="dx-fieldset">
<div className="fields-container">
<div className="dx-field">
<div className="dx-field-label">Built-in icon</div>
<div className="dx-field-value">
<Button
icon="check"
type="success"
text="Done"
onClick={doneClick}
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Image icon</div>
<div className="dx-field-value">
<Button
icon="../../../../images/icons/weather.png"
text="Weather"
onClick={weatherClick}
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">External icon</div>
<div className="dx-field-value">
<Button
className="send"
icon="fa fa-envelope-o"
text="Send"
onClick={sendClick}
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Icon only</div>
<div className="dx-field-value">
<Button
icon="plus"
onClick={plusClick}
/>
<Button
icon="back"
id="icon-back"
onClick={backClick}
/>
</div>
</div>
</div>
</div>
<div className="dx-fieldset">
<div className="dx-fieldset-header">DISABLED</div>
<div className="fields-container">
<div className="dx-field">
<div className="dx-field-value">
<Button
icon="check"
type="success"
text="Done"
disabled={true}
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-value">
<Button
icon="../../../../images/icons/weather.png"
text="Weather"
disabled={true}
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-value">
<Button
className="send"
icon="fa fa-envelope-o"
text="Send"
disabled={true}
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-value">
<Button
icon="plus"
disabled={true}
/>
<Button
icon="back"
id="icon-disabled-back"
disabled={true}
/>
</div>
</div>
</div>
</div>
</div>
);
}
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
jsx: 'react',
},
meta: {
'react': {
'esModule': true,
},
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
defaultExtension: 'js',
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-react': 'npm:devextreme-react@link:../../packages/devextreme-react/npm/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.8/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.25/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.67/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme-react/common': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.6/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.6.3/css/font-awesome.min.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.tsx");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#icon-back,
#icon-disabled-back {
margin-left: 4px;
}
.dx-viewport .dx-fieldset {
width: 520px;
margin: 30px auto;
}
.dx-viewport .dx-fieldset:first-child {
margin-top: 120px;
}
.dx-viewport .dx-fieldset-header {
font-size: 16px;
}
.dx-viewport .dx-field {
display: inline-block;
margin-right: 20px;
}
.dx-viewport .dx-field-value:not(.dx-widget) > .dx-button {
float: none;
}
.dx-viewport .dx-field-value:not(.dx-switch):not(.dx-checkbox):not(.dx-button),
.dx-viewport .dx-field-label {
float: none;
width: 100%;
}
.dx-viewport .dx-field-label {
padding-left: 0;
}
.send .dx-button-content .dx-icon {
font-size: 18px;
}
.fields-container {
display: flex;
align-items: baseline;
}
.dx-field-value {
display: flex;
}

Backend API
<template>
<div>
<div class="dx-fieldset">
<div class="fields-container">
<div class="dx-field">
<div class="dx-field-label">Built-in icon</div>
<div class="dx-field-value">
<DxButton
icon="check"
type="success"
text="Done"
@click="doneClick()"
/>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">Image icon</div>
<div class="dx-field-value">
<DxButton
icon="../../../../images/icons/weather.png"
text="Weather"
@click="weatherClick()"
/>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">External icon</div>
<div class="dx-field-value">
<DxButton
class="send"
icon="fa fa-envelope-o"
text="Send"
@click="sendClick()"
/>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">Icon only</div>
<div class="dx-field-value">
<DxButton
icon="plus"
@click="plusClick()"
/>
<DxButton
id="back"
icon="back"
@click="backClick()"
/>
</div>
</div>
</div>
</div>
<div class="dx-fieldset">
<div class="dx-fieldset-header">DISABLED</div>
<div class="fields-container">
<div class="dx-field">
<div class="dx-field-value">
<DxButton
:disabled="true"
icon="check"
type="success"
text="Done"
/>
</div>
</div>
<div class="dx-field">
<div class="dx-field-value">
<DxButton
:disabled="true"
icon="../../../../images/icons/weather.png"
text="Weather"
/>
</div>
</div>
<div class="dx-field">
<div class="dx-field-value">
<DxButton
:disabled="true"
class="send"
icon="fa fa-envelope-o"
text="Send"
/>
</div>
</div>
<div class="dx-field">
<div class="dx-field-value">
<DxButton
:disabled="true"
icon="plus"
/>
<DxButton
id="back-disabled"
:disabled="true"
icon="back"
/>
</div>
</div>
</div>
</div>
</div>
</template>
<script setup lang="ts">
import DxButton from 'devextreme-vue/button';
import notify from 'devextreme/ui/notify';
function weatherClick() {
notify('The Weather button was clicked');
}
function doneClick() {
notify('The Done button was clicked');
}
function sendClick() {
notify('The Send button was clicked');
}
function plusClick() {
notify('The button was clicked');
}
function backClick() {
notify('The button was clicked');
}
</script>
<style scoped>
#back,
#back-disabled {
margin-left: 4px;
}
.dx-viewport .dx-fieldset {
width: 520px;
margin: 30px auto;
}
.dx-viewport .dx-fieldset:first-child {
margin-top: 120px;
}
.dx-viewport .dx-fieldset-header {
font-size: 16px;
}
.dx-viewport .dx-field {
display: inline-block;
margin-right: 20px;
}
.dx-viewport .dx-field-value:not(.dx-widget) > .dx-button {
float: none;
}
.dx-viewport .dx-field-value:not(.dx-switch):not(.dx-checkbox):not(.dx-button),
.dx-viewport .dx-field-label {
float: none;
width: 100%;
}
.dx-viewport .dx-field-label {
padding-left: 0;
}
.send .dx-button-content .dx-icon {
font-size: 18px;
}
.fields-container {
display: flex;
align-items: baseline;
}
.dx-field-value {
display: flex;
}
</style>
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
},
map: {
'vue': 'npm:vue@3.4.27/dist/vue.esm-browser.js',
'@vue/shared': 'npm:@vue/shared@3.4.27/dist/shared.cjs.prod.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'project:utils/demo-ts-loader.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.6/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.24/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.64/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.1.7/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.6.3/css/font-awesome.min.css" />
<script src="https://cdn.jsdelivr.net/npm/typescript@5.4.5/lib/typescript.js"></script>
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
-
Built-in icons
DevExtreme ships with its own icon library. Pick any icon and assign its name to the icon property. -
Image file
Set the icon value to the image file path or URI. -
3rd-party icon fonts
You can import a 3rd-party font library (this example uses Font Awesome). In such cases, set the icon property to a name that identifies the required glyph. Look up names in the imported library's documentation. -
Buttons with icons and no caption text
Define the icon, but do not define the text property. You can use the hint property to annotate the button.
Refer to the Icons help topic for additional information.